Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.schema.dict
Class PostgresDictionary

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
            |
            +--com.solarmetric.rd.kodo.impl.jdbc.schema.dict.PostgresDictionary

public class PostgresDictionary
extends DBDictionary

Dictionary for Postgres.

Field Summary

Fields inherited from class com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
`CENTI, DECI, MICRO, MILLI, NANO, SEC`

Constructor Summary
`PostgresDictionary()`

Method Summary
`java.util.Date` | `getDate(java.sql.ResultSet rs, int column)` Convert the specified column of the SQL ResultSet to the proper java type.
`protected int` | `getDatePrecision()` Set to the precision of timestamps in the data store.
`java.lang.String` | `getPlatform()` Return the database platform for this dictionary.
`void` | `setClobString(java.sql.PreparedStatement stmnt, int idx, java.lang.String val)` Set the given value as a parameter to the statement.
`void` | `setString(java.sql.PreparedStatement stmnt, int idx, java.lang.String val)` Set the given value as a parameter to the statement.
`com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer` | `toSelect(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer select, java.lang.String tables, com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer where, com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer order, boolean distinct, boolean forUpdate)` Create a SELECT statement for this database.
`java.sql.Connection` | `wrapConnection(java.sql.Connection conn)` Wrap the given connection if needed.

Methods inherited from class com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary
`addSystemSchema, addSystemTable, generateForeignKeys, generateIndexes, generatePrimaryKeys, generateTables, getAddColumnSQL, getAddForeignKeySQL, getAddPrimaryKeySQL, getArray, getAsciiStream, getBigDecimal, getBigInteger, getBinaryStream, getBlob, getBlobObject, getBoolean, getByte, getBytes, getChar, getCharacterStream, getClob, getClobString, getConfiguration, getCreateIndexSQL, getCreateTableSQL, getDate, getDBMetaData, getDeclareColumnSQL, getDouble, getDropColumnSQL, getDropForeignKeySQL, getDropIndexSQL, getDropPrimaryKeySQL, getDropTableSQL, getFloat, getForeignKeyActionName, getForeignKeyConstraintSQL, getInt, getJDBCType, getJDBCType, getLocale, getLong, getObject, getPreferredType, getPrimaryKeyConstraintSQL, getRef, getShort, getSimulateLocking, getStoreCharsAsNumbers, getStoreLargeNumbersAsStrings, getString, getSystemSchemas, getSystemTables, getTime, getTimestamp, getTypeName, getValidColumnName, getValidForeignKeyName, getValidIndexName, getValidPrimaryKeyName, getValidTableName, isSystemIndex, isSystemTable, makeNameValid, replaceMapping, replaceMappingFactory, replaceSchemaFactory, setArray, setAsciiStream, setBigDecimal, setBigInteger, setBinaryStream, setBlob, setBlobObject, setBoolean, setByte, setBytes, setChar, setCharacterStream, setClob, setConfiguration, setDate, setDate, setDBMetaData, setDouble, setFloat, setInt, setLocale, setLong, setNull, setObject, setRef, setShort, setSimulateLocking, setStoreCharsAsNumbers, setStoreLargeNumbersAsStrings, setSystemSchemas, setSystemTables, setTime, setTimestamp, supportsDeferredConstraints, supportsForeignKeyDeleteAction, supportsSelectForUpdate, supportsUpdateCountsForBatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresDictionary

    public PostgresDictionary()

Method Detail

### getPlatform

    public java.lang.String getPlatform()

  Description copied from class: `DBDictionary`
  Return the database platform for this dictionary.

  Overrides:
    `getPlatform` in class `DBDictionary`

### setString

    public void setString(java.sql.PreparedStatement stmnt,
                          int idx,
                          java.lang.String val)
                   throws java.sql.SQLException

  Description copied from class: `DBDictionary`
  Set the given value as a parameter to the statement.

  Overrides:
    `setString` in class `DBDictionary`
    `java.sql.SQLException`

### setClobString

    public void setClobString(java.sql.PreparedStatement stmnt,
                              int idx,
                              java.lang.String val)
                       throws java.sql.SQLException

  Description copied from class: `DBDictionary`
  Set the given value as a parameter to the statement.

  Overrides:
    `setClobString` in class `DBDictionary`
    `java.sql.SQLException`

### getDate

    public java.util.Date getDate(java.sql.ResultSet rs,
                                  int column)
                           throws java.sql.SQLException

  Description copied from class: `DBDictionary`
  Convert the specified column of the SQL ResultSet to the proper java type. Converts the date from a `Timestamp` by default.

  Overrides:
    `getDate` in class `DBDictionary`
    `java.sql.SQLException`

### getDatePrecision

    protected int getDatePrecision()

  Description copied from class: `DBDictionary`
  Set to the precision of timestamps in the data store. Set to one of: `DBDictionary.NANO`, `DBDictionary.MICRO`, `DBDictionary.MILLI`, `DBDictionary.CENTI`, `DBDictionary.DECI`, `DBDictionary.SEC`. Returns `DBDictionary.MILLI` by default.

  Overrides:
    `getDatePrecision` in class `DBDictionary`

### toSelect

    public com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer toSelect(com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer select,
                                                                       java.lang.String tables,
                                                                       com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer where,
                                                                       com.solarmetric.rd.kodo.impl.jdbc.schema.SQLBuffer order,
                                                                       boolean distinct,
                                                                       boolean forUpdate)

  Description copied from class: `DBDictionary`
  Create a SELECT statement for this database.

  Overrides:
    `toSelect` in class `DBDictionary`

### wrapConnection

    public java.sql.Connection wrapConnection(java.sql.Connection conn)

  Description copied from class: `DBDictionary`
  Wrap the given connection if needed. Some databases require special handling for JDBC bugs. If this method is overridden, it should wrap the connection returned by `super.wrapConnection` rather than the original connection argument. By default, the connection is wrapped in a special connection type that always uses scrollable result sets (but only if the database supports it and the configuration's `DefaultFetchThreshold` is not -1).

  Overrides:
    `wrapConnection` in class `DBDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.